### Constructor

# EDataServerUI WebDAVDiscoverContent new

since: 3.18

#### Declaration [src]

    GtkWidget*
    e_webdav_discover_content_new (
      ECredentialsPrompter* credentials_prompter,
      ESource* source,
      const gchar* base_url,
      guint supports_filter
    )

#### Description [src]

Creates a new WebDAV discovery content, which is a `GtkGrid` containing necessary widgets to provide a UI interface for a user to search and select for available WebDAV (CalDAV or CardDAV) sources provided by the given server. Do not pack anything into this content, its content can be changed dynamically.

Available since: 3.18

#### Parameters

`credentials_prompter`

  Type: `ECredentialsPrompter`

  An `ECredentialsPrompter` to use to ask for credentials.

  The data is owned by the caller of the function.

`source`

  Type: `ESource`

  Optional `ESource` to use for authentication, or `NULL`.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

`base_url`

  Type: `const gchar*`

  Optional base URL to use for discovery, or `NULL`.

  The argument can be `NULL`.
  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`supports_filter`

  Type: `guint`

  A bit-or of `EWebDAVDiscoverSupports`, a filter to limit what source types will be shown in the dialog content; use `E_WEBDAV_DISCOVER_SUPPORTS_NONE` to show all.

#### Return value

Type: `EWebDAVDiscoverContent`

A new `EWebDAVDiscoverContent`.

The caller of the function takes ownership of the data, and is responsible for freeing it.